# Uses of Interface
javax.swing.ComboBoxModel

Packages that use ComboBoxModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of ComboBoxModel in javax.swing

Subinterfaces of ComboBoxModel in javax.swing
Modifier and Type
Interface
Description
`interface`
`MutableComboBoxModel<E>`
A mutable version of `ComboBoxModel`.
Classes in javax.swing that implement ComboBoxModel
Modifier and Type
Class
Description
`class`
`DefaultComboBoxModel<E>`
The default model for combo boxes.
Fields in javax.swing declared as ComboBoxModel
Modifier and Type
Field
Description
`protected ComboBoxModel<E>`
JComboBox.`dataModel`
This protected field is implementation specific.
Methods in javax.swing that return ComboBoxModel
Modifier and Type
Method
Description
`ComboBoxModel<E>`
JComboBox.`getModel()`
Returns the data model currently used by the `JComboBox`.
Methods in javax.swing with parameters of type ComboBoxModel
Modifier and Type
Method
Description
`int`
JComboBox.KeySelectionManager.`selectionForKey(char aKey, ComboBoxModel<?> aModel)`
Given `aKey` and the model, returns the row that should become selected.
`void`
JComboBox.`setModel(ComboBoxModel<E> aModel)`
Sets the data model that the `JComboBox` uses to obtain the list of items.
Constructors in javax.swing with parameters of type ComboBoxModel
Modifier
Constructor
Description
``
`JComboBox(ComboBoxModel<E> aModel)`
Creates a `JComboBox` that takes its items from an existing `ComboBoxModel`.

## Uses of ComboBoxModel in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type ComboBoxModel
Modifier and Type
Method
Description
`protected void`
BasicComboPopup.`installComboBoxModelListeners(ComboBoxModel<?> model)`
Installs the listeners on the combo box model.
`protected void`
BasicComboPopup.`uninstallComboBoxModelListeners(ComboBoxModel<?> model)`
Removes the listeners from the combo box model

## Uses of ComboBoxModel in javax.swing.plaf.metal

Classes in javax.swing.plaf.metal that implement ComboBoxModel
Modifier and Type
Class
Description
`protected class`
`MetalFileChooserUI.DirectoryComboBoxModel`
Data model for a type-face selection combo-box.
`protected class`
`MetalFileChooserUI.FilterComboBoxModel`
Data model for a type-face selection combo-box.